## ros-noetic-neobotix-usboard-msgs 3.3.0

=== CMakeLists.txt ===
project(neobotix_usboard_msgs)

find_package(ros_environment REQUIRED)

set(ROS_VERSION $ENV{ROS_VERSION})

set(MSG_FILES
  "AnalogIn.msg"
  "AnsParasetToEEPROM.msg"
  "AnsToCmdConnect.msg"
  "AnsWriteParaset.msg"
  "Command.msg"
  "SensorData.msg"
  "Sensors.msg"
  "Paraset.msg"
)

if(${ROS_VERSION} EQUAL 1)

  cmake_minimum_required(VERSION 2.8.3)

  # Default to C++11
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 11)
  endif()

  find_package(catkin REQUIRED
    COMPONENTS
    message_generation
    std_msgs
  )

  add_message_files(FILES
    ${MSG_FILES}
    DIRECTORY msg
  )

  generate_messages(DEPENDENCIES std_msgs)

  catkin_package(
    CATKIN_DEPENDS message_runtime
  )

elseif(${ROS_VERSION} EQUAL 2)

  cmake_minimum_required(VERSION 3.5)

  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  find_package(ament_cmake REQUIRED)
  find_package(builtin_interfaces REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(rosidl_default_generators REQUIRED)

  # Apend "msg/" to each file name
  set(TEMP_LIST "")
  foreach(MSG_FILE ${MSG_FILES})
    list(APPEND TEMP_LIST "msg/${MSG_FILE}")
  endforeach()
  set(MSG_FILES ${TEMP_LIST})

  rosidl_generate_interfaces(${PROJECT_NAME}
    ${MSG_FILES}
    DEPENDENCIES builtin_interfaces std_msgs
    ADD_LINTER_TESTS
  )

  ament_export_dependencies(rosidl_default_runtime)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()
  endif()

  ament_package()

endif()

=== debian/changelog ===
ros-noetic-neobotix-usboard-msgs (3.3.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 18 Jun 2021 04:00:00 -0000

ros-noetic-neobotix-usboard-msgs (3.2.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 12 Mar 2021 05:00:00 -0000

ros-noetic-neobotix-usboard-msgs (3.1.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 17 Jun 2020 04:00:00 -0000

ros-noetic-neobotix-usboard-msgs (3.0.1-1focal) focal; urgency=high

  * Adding ros_environment as required package to all packages.
  * Hybridizing neobotix_usboard_msgs. (#46 <https://github.com/astuff/astuff_sensor_msgs/issues/46>)
  * Adding hybrid CI.
  * Updating package.xml files for ROS2 rosdep.
  * Adding message migration rules.
  * Contributors: Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 23 Jan 2020 05:00:00 -0000

ros-noetic-neobotix-usboard-msgs (2.3.1-1focal) focal; urgency=high

  * Merge pull request #31 <https://github.com/astuff/astuff_sensor_msgs/issues/31> from astuff/maint/add_urls
  * Adding URLs to package.xml files.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 05:00:00 -0000

ros-noetic-neobotix-usboard-msgs (2.3.0-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 04 Oct 2018 04:00:00 -0000

ros-noetic-neobotix-usboard-msgs (2.2.2-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 04:00:00 -0000

ros-noetic-neobotix-usboard-msgs (2.2.1-1focal) focal; urgency=high



 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Wed, 08 Aug 2018 04:00:00 -0000

ros-noetic-neobotix-usboard-msgs (2.1.0-1focal) focal; urgency=high

  * added sensors list message.
  * removed unconfirmed status addition from neobotix msg
  * deleted 4 sensor message and renamed data1sensor to SensorData
  * Adding Data1Sensor message to support individual topics per sensor
  * Updating package.xml to format 2.
  * Standardizing package.xml files.
  * Initial commit.
  * Contributors: Joe Kale, Joshua Whitley, Kyle Rector

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 14 May 2018 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-neobotix-usboard-msgs
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-ros-environment, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/neobotix_usboard_msgs
Standards-Version: 3.9.2

Package: ros-noetic-neobotix-usboard-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: neobotix_usboard package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-neobotix-usboard-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
